Describe dataset
curl --request POST \
--url https://quantura.studio/api/v1/market-search/describe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"type": "economic_series",
"provider": "fiscaldata",
"series_id": "debt_to_penny"
}
}
'import requests
url = "https://quantura.studio/api/v1/market-search/describe"
payload = { "source": {
"type": "economic_series",
"provider": "fiscaldata",
"series_id": "debt_to_penny"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {type: 'economic_series', provider: 'fiscaldata', series_id: 'debt_to_penny'}
})
};
fetch('https://quantura.studio/api/v1/market-search/describe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/market-search/describe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => [
'type' => 'economic_series',
'provider' => 'fiscaldata',
'series_id' => 'debt_to_penny'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/market-search/describe"
payload := strings.NewReader("{\n \"source\": {\n \"type\": \"economic_series\",\n \"provider\": \"fiscaldata\",\n \"series_id\": \"debt_to_penny\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://quantura.studio/api/v1/market-search/describe")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": {\n \"type\": \"economic_series\",\n \"provider\": \"fiscaldata\",\n \"series_id\": \"debt_to_penny\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/market-search/describe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": {\n \"type\": \"economic_series\",\n \"provider\": \"fiscaldata\",\n \"series_id\": \"debt_to_penny\"\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"provider": "fiscaldata",
"frequency": "1D",
"values": [
{
"field": "tot_pub_debt_out_amt",
"label": "Total public debt"
}
],
"dimensions": [],
"units": "USD"
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}Search
Describe dataset
Pass an economic_series source from Search. Select time/value fields and one value for each required dimension before downloading or forecasting. BigQuery description reads metadata without executing SQL.
POST
/
v1
/
market-search
/
describe
Describe dataset
curl --request POST \
--url https://quantura.studio/api/v1/market-search/describe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"type": "economic_series",
"provider": "fiscaldata",
"series_id": "debt_to_penny"
}
}
'import requests
url = "https://quantura.studio/api/v1/market-search/describe"
payload = { "source": {
"type": "economic_series",
"provider": "fiscaldata",
"series_id": "debt_to_penny"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {type: 'economic_series', provider: 'fiscaldata', series_id: 'debt_to_penny'}
})
};
fetch('https://quantura.studio/api/v1/market-search/describe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/market-search/describe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => [
'type' => 'economic_series',
'provider' => 'fiscaldata',
'series_id' => 'debt_to_penny'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/market-search/describe"
payload := strings.NewReader("{\n \"source\": {\n \"type\": \"economic_series\",\n \"provider\": \"fiscaldata\",\n \"series_id\": \"debt_to_penny\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://quantura.studio/api/v1/market-search/describe")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": {\n \"type\": \"economic_series\",\n \"provider\": \"fiscaldata\",\n \"series_id\": \"debt_to_penny\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/market-search/describe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": {\n \"type\": \"economic_series\",\n \"provider\": \"fiscaldata\",\n \"series_id\": \"debt_to_penny\"\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"provider": "fiscaldata",
"frequency": "1D",
"values": [
{
"field": "tot_pub_debt_out_amt",
"label": "Total public debt"
}
],
"dimensions": [],
"units": "USD"
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}Authorizations
bearerAuthclerkOAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Select one series and one value for every required dimension. Reporting periods are daily, month-end, quarter-end, or year-end. Current revised data is not a point-in-time vintage. BigQuery history additionally requires time_field and value_field, uses only bigquery-public-data, exact parameterized filters, a dry run and a 100 MiB billed-byte cap.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Response
Successful response (illustrative example)
The response is of type object.